Get segment details
Returns segment’s information
Endpoint
Section titled “Endpoint”HTTP method: GET
https://api.sender.net/v2/segments/{id}
Parameters
Section titled “Parameters”| Parameter | Type | Description |
|---|---|---|
id | string required | Segment ID |
Request Examples
Section titled “Request Examples”const url = new URL("https://api.sender.net/v2/segments/{id}");
let headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",};
fetch(url, { method: "GET", headers,}).then(response => response.json()).then(data => console.log(data)).catch(error => console.error('Error:', error));$client = new \GuzzleHttp\Client();$response = $client->get( 'https://api.sender.net/v2/segments/{id}', [ 'headers' => [ 'Authorization' => 'Bearer [your-token]', 'Content-Type' => 'application/json', 'Accept' => 'application/json', ], ]);
$body = $response->getBody()->getContents();$data = json_decode($body, true);print_r($data);import requestsimport json
url = "https://api.sender.net/v2/segments/{id}"
headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",}
response = requests.request('GET', url, headers=headers)
print(response.json())curl -X GET \-G "https://api.sender.net/v2/segments/{id}" \-H "Authorization: Bearer [your-token]" \-H "Content-Type: application/json" \-H "Accept: application/json"Response
Section titled “Response”{ "data": { "id": "elY9Ma", "account_id": "eEqqve", "name": "First segment", "conditions": [ { "type": "tag", "operator": "have", "operand": [ { "id": "eZVD4w", "title": "Test group", "recipient_count": 2, "active_subscribers": 2, "opens_rate": 0, "click_rate": 0, "unsubscribed_count": 0, "bounced_count": 0, "account_id": "eEqqve", "user_id": "egp79a", "created": "2021-05-11 15:37:45", "modified": null } ], "operators": [ { "id": "have", "operand-view": "tag-select", "title": "Belongs to" }, { "id": "not-have", "operand-view": "tag-select", "title": "Does not belong to" } ], "group": "5ae78738-9412-44db-9026-aee1b92fc92a", "outside_concat": "and", "inside_concat": "and" } ], "created": "2021-04-30 07:04:51", "modified": "2021-05-12 05:24:39", "subscribers": null, "phone_count": null, "active_subscribers": null, "active_phone_count": null }}